WKS4ChartInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
WKS4ChartInternal::State Struct Reference

the state of WKS4Chart More...

## Public Member Functions
| State ()
| constructor More...
bool | getColor (int id, WPSColor &color) const
| returns a color corresponding to an id More...
bool | getPattern (int id, WPSGraphicStyle::Pattern &pattern) const
| returns the pattern corresponding to a pattern id between 0 and 15 More...

## Public Attributes
long | m_eof
| the last file position More...
int | m_version
| the file version More...
int | m_hasLICSCharacters
| int to code if the file has LICS characters:-1 means unknown, 0 means no, 1 means yes More...
std::map< int, WPSColor > | m_idToColorMap
| a map id -> color More...
std::vector< std::shared_ptr< Chart > > | m_chartList
| list of chart More...

## Detailed Description

the state of WKS4Chart

## Constructor & Destructor Documentation

## ◆ State()

WKS4ChartInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getColor()

bool WKS4ChartInternal::State::getColor | ( | int | id,
|  | WPSColor & | color
| ) |  | const

returns a color corresponding to an id

## ◆ getPattern()

bool WKS4ChartInternal::State::getPattern | ( | int | id,
|  | WPSGraphicStyle::Pattern & | pattern
| ) |  | const

returns the pattern corresponding to a pattern id between 0 and 15

## Member Data Documentation

## ◆ m_chartList

std::vector<std::shared_ptr<Chart> > WKS4ChartInternal::State::m_chartList

list of chart

## ◆ m_eof

long WKS4ChartInternal::State::m_eof

the last file position

## ◆ m_hasLICSCharacters

int WKS4ChartInternal::State::m_hasLICSCharacters

int to code if the file has LICS characters:-1 means unknown, 0 means no, 1 means yes

## ◆ m_idToColorMap

std::map<int, WPSColor> WKS4ChartInternal::State::m_idToColorMap

a map id -> color

Referenced by getColor().

## ◆ m_version

int WKS4ChartInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- WKS4Chart.cpp